| Home | Libraries | People | FAQ | More

###### param::param (2 of 4 overloads)

Constructor.

###### Synopsis

    param(
        param&& other);

###### Description

Upon construction, this acquires ownership of the members of other via move construction. The moved from object is as if default constructed.

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### other The object to construct from.